%define upstream_name Test-RequiresInternet
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easily test network connectivity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intended to easily test network connectivity before
functional tests begin to non-local Internet resources. It does not
require any modules beyond those supplied in core Perl.

If you do not specify a host/port pair, then the module defaults to
using "www.google.com" on port 80.

You may optionally specify the port by its name, as in "http" or "ldap".
If you do this, the test module will attempt to look up the port number
using "getservbyname".

If you do specify a host and port, they must be specified in pairs. It
is a fatal error to omit one or the other.

If the environment variable "NO_NETWORK_TESTING" is set, then the tests
will be skipped without attempting any socket connections.

If the sockets cannot connect to the specified hosts and ports, the
exception is caught, reported and the tests skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1034619
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 966572
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 845927
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 740907
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686531
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 673127
- update to 0.03

* Mon Jul 07 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 650456
- imported package perl-Test-RequiresInternet

